[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TUpDownDirection

Indicates whether a value in a TUpDown control is being increased, decreased, or not changed.

## Declaration

Source position: comctrls.pp line 1913

`type TUpDownDirection = (`
`updNone,` |  | The value is not changed in the control.
`updUp,` |  | The value is increased in the control.
`updDown` |  | The value is decreased in the control.
`);`

## Description

TUpDownDirection is an enumerated type with values that indicates whether a value is being increased, decreased, or not changed in a TCustomUpDown control. TUpDownDirection is the type passed as an argument to TUDChangingEventEx event handlers.